## cowsay-3.04-2.src.tar.gz

=== Makefile ===
##
## Makefile for managing simple NetHirc-related tasks
##
## $Id$
##

FILES= Files.base
PRODUCT= cowsay
VER= 3.03
BASE= ${PRODUCT}-${VER}
TARZ= ${BASE}.tar.Z
TARGZ= ${BASE}.tar.gz
TARS= ${TARZ} ${TARGZ}
SIGZ= ${TARZ}.sig
SIGGZ= ${TARGZ}.sig
SIGS= ${SIGZ} ${SIGGZ}
FTP= jariten:ftp/cowsay

release: run-pax sign upload

tar: run-pax

run-pax: ${FILES}
	-chmod +x install.sh
	pax -w -d -x tar \
		-s ",^,${BASE}/," \
		-f ${BASE}.tar \
		`cat ${FILES}`
	gzip -c ${BASE}.tar > ${TARGZ}
	compress ${BASE}.tar

sign: ${TARS}
	for i in ${TARS}; do pgp -sb $$i; done
	chmod 644 ${SIGS}

upload: ${TARS} ${SIGS}
	scp ${TARS} ${SIGS} ${FTP}

clean: 
	-rm -f ${TARS} ${SIGS}

=== PKGBUILD ===
# Maintainer: Guillaume ALAUX <guillaume@archlinux.org> 
# Contributor: Eric Belanger <eric@archlinux.org>
# Contributor: Sarah Hay <sarahhay@mb.sympatico.ca>

pkgname=cowsay
pkgver=3.04
pkgrel=2
pkgdesc='Configurable talking cow (and a few other creatures)'
arch=('any')
url='http://www.nog.net/~tony/warez/'
license=('PerlArtistic' 'GPL')
depends=('perl')
source=(https://github.com/tnalpgge/rank-amateur-cowsay/archive/cowsay-$pkgver.tar.gz
        cowsay.patch)
sha512sums=('99d21ef9a7c7c76056cb7acb2c771fbdabfedde4f6edb5d3035337c59f9e88944690d1b43282c32827ad79339199716366c8be73b0dea09063ec2d52220c1b51'
            '4c70074fc88e741f2eb4daa04a55ef3ff0638bffda907fe451299aeb2271a3b09c4b73df4d3eb83f6ac91b9cb05530bb2a59df81c72602728441254624a05327')

build() {
	cd rank-amateur-cowsay-${pkgname}-${pkgver}
	patch -p1 -i $srcdir/cowsay.patch
	sed -i 's|/man/|/share/man/|' install.sh
}

package() {
	cd rank-amateur-cowsay-${pkgname}-${pkgver}
	echo "${pkgdir}/usr" | ./install.sh
	# This one is not a valid '.cow' file
	rm ${pkgdir}/usr/share/cows/mech-and-cow
}
